<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SSTRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SSTRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SSTRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/SSTRecord.html" target="_top">Frames</a></li>
        <li><a href="SSTRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class SSTRecord" class="title">Class SSTRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                       title="class in org.apache.poi.hssf.record.cont">org.apache.poi.hssf.record.cont.ContinuableRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.SSTRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">SSTRecord</span>
extends <a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
           title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></pre>
                <div class="block">Title: Static String Table Record (0x00FC)<p>

                    Description: This holds all the strings for LabelSSTRecords.
                    <p>

                        REFERENCE: PG 389 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/record/LabelSSTRecord.html"
                           title="class in org.apache.poi.hssf.record"><code>LabelSSTRecord</code></a>,
                        <a href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                           title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#SSTRecord--">SSTRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#SSTRecord-org.apache.poi.hssf.record.RecordInputStream-">SSTRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>
                                    <div class="block">Fill the fields from the data</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#addString-org.apache.poi.hssf.record.common.UnicodeString-">addString</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&nbsp;string)</code>
                                    <div class="block">Add a string.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#calcExtSSTRecordSize--">calcExtSSTRecordSize</a></span>()</code>
                                    <div class="block">Calculates the size in bytes of the EXTSST record as it would be
                                        if the
                                        record was serialized.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/ExtSSTRecord.html"
                                        title="class in org.apache.poi.hssf.record">ExtSSTRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#createExtSSTRecord-int-">createExtSSTRecord</a></span>(int&nbsp;sstOffset)</code>
                                    <div class="block">Creates an extended string record based on the current contents
                                        of
                                        the current SST record.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#getNumStrings--">getNumStrings</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#getNumUniqueStrings--">getNumUniqueStrings</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#getString-int-">getString</a></span>(int&nbsp;id)</code>
                                    <div class="block">Get a particular string by its index</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</code>
                                    <div class="block">Serializes this record's content to the supplied data output.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/SSTRecord.html#toString--">toString</a></span>()</code>
                                    <div class="block">Return a debugging string representation</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.cont.ContinuableRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.cont.<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.SSTRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SSTRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SSTRecord</h4>
                                <pre>public&nbsp;SSTRecord()</pre>
                            </li>
                        </ul>
                        <a name="SSTRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SSTRecord</h4>
                                <pre>public&nbsp;SSTRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                                <div class="block">Fill the fields from the data
                                    <P>
                                        The data consists of sets of string data. This string data is
                                        arranged as follows:
                                    </P>
                                    <P>
                                    <pre>
 short  string_length;   // length of string data
 byte   string_flag;     // flag specifying special string
                         // handling
 short  run_count;       // optional count of formatting runs
 int    extend_length;   // optional extension length
 char[] string_data;     // string data, can be byte[] or
                         // short[] (length of array is
                         // string_length)
 int[]  formatting_runs; // optional formatting runs (length of
                         // array is run_count)
 byte[] extension;       // optional extension (length of array
                         // is extend_length)
 </pre>
                                    </P><P>
                                        The string_flag is bit mapped as follows:
                                    </P>
                                    <P>
                                    <TABLE summary="string_flag mapping">
                                        <TR>
                                            <TH>Bit number</TH>
                                            <TH>Meaning if 0</TH>
                                            <TH>Meaning if 1</TH>
                                        <TR>
                                        <TR>
                                            <TD>0</TD>
                                            <TD>string_data is byte[]</TD>
                                            <TD>string_data is short[]</TD>
                                        <TR>
                                        <TR>
                                            <TD>1</TD>
                                            <TD>Should always be 0</TD>
                                            <TD>string_flag is defective</TD>
                                        <TR>
                                        <TR>
                                            <TD>2</TD>
                                            <TD>extension is not included</TD>
                                            <TD>extension is included</TD>
                                        <TR>
                                        <TR>
                                            <TD>3</TD>
                                            <TD>formatting run data is not included</TD>
                                            <TD>formatting run data is included</TD>
                                        <TR>
                                        <TR>
                                            <TD>4</TD>
                                            <TD>Should always be 0</TD>
                                            <TD>string_flag is defective</TD>
                                        <TR>
                                        <TR>
                                            <TD>5</TD>
                                            <TD>Should always be 0</TD>
                                            <TD>string_flag is defective</TD>
                                        <TR>
                                        <TR>
                                            <TD>6</TD>
                                            <TD>Should always be 0</TD>
                                            <TD>string_flag is defective</TD>
                                        <TR>
                                        <TR>
                                            <TD>7</TD>
                                            <TD>Should always be 0</TD>
                                            <TD>string_flag is defective</TD>
                                        <TR>
                                    </TABLE>
                                    <P>
                                        We can handle eating the overhead associated with bits 2 or 3
                                        (or both) being set, but we have no idea what to do with the
                                        associated data. The UnicodeString class can handle the byte[]
                                        vs short[] nature of the actual string data</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>in</code> - the RecordInputStream to read the record from</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="addString-org.apache.poi.hssf.record.common.UnicodeString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addString</h4>
                                <pre>public&nbsp;int&nbsp;addString(<a
                                        href="../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&nbsp;string)</pre>
                                <div class="block">Add a string.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>string</code> - string to be added</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of that string in the table</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumStrings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumStrings</h4>
                                <pre>public&nbsp;int&nbsp;getNumStrings()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of strings</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumUniqueStrings--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumUniqueStrings</h4>
                                <pre>public&nbsp;int&nbsp;getNumUniqueStrings()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>number of unique strings</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getString-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getString</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/common/UnicodeString.html"
                                        title="class in org.apache.poi.hssf.record.common">UnicodeString</a>&nbsp;getString(int&nbsp;id)</pre>
                                <div class="block">Get a particular string by its index</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - index into the array of strings</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the desired string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block">Return a debugging string representation</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>string representation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">Record</a></code></span>
                                </div>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>protected&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont">ContinuableRecordOutput</a>&nbsp;out)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">ContinuableRecord</a></code></span>
                                </div>
                                <div class="block">Serializes this record's content to the supplied data output.<p>
                                    The standard BIFF header (ushort sid, ushort size) has been handled by the
                                    superclass, so
                                    only BIFF data should be written by this method. Simple data types can be written
                                    with the
                                    standard <a href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                                title="interface in org.apache.poi.util"><code>LittleEndianOutput</code></a>
                                    methods. Methods from <a
                                        href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecordOutput.html"
                                        title="class in org.apache.poi.hssf.record.cont"><code>ContinuableRecordOutput</code></a>
                                    can be used to serialize strings (with <a
                                        href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s
                                    being written as required).
                                    If necessary, implementors can explicitly start <a
                                        href="../../../../../org/apache/poi/hssf/record/ContinueRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ContinueRecord</code></a>s
                                    (regardless of the
                                    amount of remaining space).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html#serialize-org.apache.poi.hssf.record.cont.ContinuableRecordOutput-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/cont/ContinuableRecord.html"
                                                title="class in org.apache.poi.hssf.record.cont">ContinuableRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - a data output stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createExtSSTRecord-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createExtSSTRecord</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/record/ExtSSTRecord.html"
                                                    title="class in org.apache.poi.hssf.record">ExtSSTRecord</a>&nbsp;createExtSSTRecord(int&nbsp;sstOffset)</pre>
                                <div class="block">Creates an extended string record based on the current contents of
                                    the current SST record. The offset within the stream to the SST record
                                    is required because the extended string record points directly to the
                                    strings in the SST record.
                                    <p>
                                        NOTE: THIS FUNCTION MUST ONLY BE CALLED AFTER THE SST RECORD HAS BEEN
                                        SERIALIZED.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sstOffset</code> - The offset in the stream to the start of the
                                        SST record.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The new SST record.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="calcExtSSTRecordSize--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>calcExtSSTRecordSize</h4>
                                <pre>public&nbsp;int&nbsp;calcExtSSTRecordSize()</pre>
                                <div class="block">Calculates the size in bytes of the EXTSST record as it would be if
                                    the
                                    record was serialized.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The size of the ExtSST record in bytes.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SSTRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/SSTRecord.html" target="_top">Frames</a></li>
        <li><a href="SSTRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
